
/* Import fonts from fonts.css */
@import url('../css/fonts.css');

/* css variables */
@import url(./partials/_variables.css);

/* globals styling variable */
@import url(./partials/_globals.css);

html,body{
    margin: 0%;
    box-sizing: border-box;
    overflow-x: hidden;

}

/*========================== Global Classes ========================== */
/* a{
    text-decoration: none;
    color: var(--bg-color);
}

.flex-row{  
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

ul{
    list-style-type: none;
}

h1{
    font-family: var(--lexend_deca);
    font-size: 4.5rem;
}
h2{
    font-family: var(--lexend_deca);
}

h3{
    font-family: var(--abel);
    font-size: 1.8rem;
}

span{
    font-family: var(--abel);
}

.text-gray{
    color: var(--text-gray);
}

p{
    font-family: var(--lexend_deca);
    color: var(--text-light);
} */
section{
    position: relative;
}

/*========================== Global Classes Ends ==========================*/

/*========================== Navbar Styling ==========================*/
/* .nav-menu{
    justify-content: space-between;  
}
.head-logo{
    height: 22px;
    width: 30px;
}
.nav-items{
    display: flex;
    margin: 0;
    margin-left: 10rem;
}
.nav-link{
    padding: 0rem 0rem;
    font-size: 1.1rem;
    position: relative;
    font-family: var(--lexend_deca);

}
.nav-link a:hover{
    color: #a1c4cf; ;
}
.social{
    padding: 0.5rem 0;
}
.social a{
    text-decoration: none;
    color: var(--text-color);
}
.social i{
    padding: 0 0.2rem;
    font-size: 1.3rem;
}
.social i:hover{
    color: #a1c4cf;
}
.nav-icon{
    color:rgb(135, 195, 245);
    font-size: 25px;
} */

/*========================== End Navbar Styling ==========================*/




/*======================================== Main Carousel Styling ========================================*/
.carousel-item{
    height: 32rem;
    background: #000;
    color: white;
    position: relative;
  }
  .container{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    padding-bottom: 50px;
  }
  .overlay-image{
      position: absolute;
      bottom: 0;
      left: 0;
      right: 0;
      top: 0;
      background-position: center;      
      background-size: cover;
      opacity: 0.8;
      height: 510px;
  }
  .indicators{
    color:#d4ecd0;
    font-size: 1.5rem;
  }
  /* Gradient color1 - color2 - color1 */
  hr.style-one {
      border: 0;
      height: 1px;
      background: #333;
      background-image: -webkit-linear-gradient(left, #ccc, #333, #ccc);
      background-image: -moz-linear-gradient(left, #ccc, #333, #ccc);
      background-image: -ms-linear-gradient(left, #ccc, #333, #ccc);
      background-image: -o-linear-gradient(left, #ccc, #333, #ccc);
  }
  .img-title{
    color: #93F9B9;
    /* font-size: 3rem; */
  }
  .intro{
    color: #edf050;
    font-family: var(--source_sans_pro);
  }
  .carr-img{
    /* position: absolute;
    background-size: cover;
    background-position: center; 
    opacity: 0.8;
    height: 100%;
    width: 100%; */
    position: absolute;
    background-size: cover;
    background-position: center; 
    /* opacity: 0.8; */
    height: 100%;
    width: 100%;
  }
/*======================================== End Main Carousel Styling ========================================*/

/*===================================== Courses Link Styling =======================================*/
.courses{
    text-align: center;     
    position: relative;
    padding-top: 5rem;
    background: #4DA0B0;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #D39D38, #4DA0B0);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #D39D38, #4DA0B0); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    height: 40rem; /*new*/
}
.slider{
      margin-top: 0px;
}
.slider .owl-item.active.center .slider-card{
      transform: scale(1);
      opacity: 1;
      background: #1D976C;  /* fallback for old browsers */
      background: -webkit-linear-gradient(to right, #93F9B9, #1D976C);  /* Chrome 10-25, Safari 5.1-6 */
      background: linear-gradient(to right, #93F9B9, #1D976C); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
      color: #fff;
      height: 30rem;
}
.slider-card{
    background-color: #fff;
    margin: 0px 15px 10px 15px;
    border-radius: 15px;
    box-shadow: 0 15px 45px -20px rgba(206, 191, 191, 0.493);
    transform: scale(0.7);
    opacity: 0.5;
    transition: all 0.3s;
    height: 30rem; 
}
.slider-card img{
    border-radius: 5px 5px 0px 0px;
    height: 10rem;
}
.coursename{
    font-size: 2rem;
    font-family: var(--lexend_deca); 
    text-decoration: none;
}
.owl-nav .owl-next{
    position: absolute;
    top: calc(50% - 25px);
    right: 0;
    opacity: 1;
    font-size: 40px !important;
    z-index: 1;
}
.owl-nav .owl-prev{
    position: absolute;
    top: calc(50% - 25px);
    left: 0;
    opacity: 1;
    font-size: 40px !important;
    z-index: 1;
}

/*Bootstarp button class customization*/
.btn {
    /* padding: 14px 24px;
    border: 0 none;    
    border-radius: 24px;
    letter-spacing: 1px; */
    text-transform: uppercase;
    font-weight: bold;
    font-family: var(--lexend_deca);
}
/*End*/

/*===================================== End Courses Link Styling =======================================*/


/*===================================== Blog Area Styling =======================================*/
.blogs{
    position: relative;
}
.blog-heading{
    margin-top: 3rem;
    text-align: center;
}
.posts{
    font-size: 5rem;
    font-family: var(--lexend_deca);
}
.blog-image{
    width: 500px;
    height: 400px;
}
.blog-tags{
    font-size: 1.2rem;
}
.featurette-divider {
    margin: 5rem 0;
}
.blog-title {
    font-weight: 300;
    line-height: 1;
    letter-spacing: -.05rem;
}

/*===================================== End Blog Area Styling =======================================*/

/*===================================== Social group area Styling =======================================*/
.social-grp{
    
    margin-top: 3rem;
    text-align: center;    
    position: relative;
}
/*===================================== End Social group area Styling =======================================*/

/*===================================== Footer Styling =======================================*/
footer{
    position: sticky;
    bottom: 0;
    left: 0;
    right: 0;
    background: #111;
    height: auto;
    width: 100vw;
    padding-top: 40px;
    color: rgb(235, 195, 236);
}
.footer-content{
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    text-align: center;
}
.footer-content h3{
    font-size: 2rem;
    font-weight: bold;
    text-transform: capitalize;
    line-height: 2rem;
}
.footer-content p{
    max-width: 500px;
    margin: 10px auto;
    line-height: 28px;
    font-size: 14px;
    color: #cacdd2;
}
.socials{
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 1rem 0 1.5rem 0;
}
.socials li{
    margin: 0 10px;
}
.socials a{
    text-decoration: none;
    color: #fff;
    border: 1.1px solid white;
    padding: 5px;
    border-radius: 50%;
}
.socials a i{
    font-size: 1.1rem;
    width: 20px;
    transition: color .4s ease;
}
.socials a:hover i{
    color: aqua;
}
/*===================================== End Footer Styling =======================================*/




/*===================================== CSS code for new Twitter FA logo =======================================*/
.fa.fa-twitter::before {
    display: inline-block;
    width: 1em;
    height: 1em;
    content: "";
    background-color: currentColor;
    -webkit-mask: url('data:image/svg+xml;utf8,<svg viewBox="0 -8 26 30" xmlns="http://www.w3.org/2000/svg"><g><path fill="white" d="M18.244 2.25h3.308l-7.227 8.26 8.502 11.24H16.17l-5.214-6.817L4.99 21.75H1.68l7.73-8.835L1.254 2.25H8.08l4.713 6.231zm-1.161 17.52h1.833L7.084 4.126H5.117z"></path></g></svg>') no-repeat center;
    mask: url('data:image/svg+xml;utf8,<svg viewBox="0 -8 26 30" xmlns="http://www.w3.org/2000/svg"><g><path fill="white" d="M18.244 2.25h3.308l-7.227 8.26 8.502 11.24H16.17l-5.214-6.817L4.99 21.75H1.68l7.73-8.835L1.254 2.25H8.08l4.713 6.231zm-1.161 17.52h1.833L7.084 4.126H5.117z"></path></g></svg>') no-repeat center;
    background-position: center 3px;
}
/*===================================== End pf CSS code for new Twitter FA logo =======================================*/



/*========================== viewport less than or equals to 1496px =====================*/

@media only screen and (max-width:1496px){

    .geekytopics1{
        width: 45%;
        height: 65%;
        border: 3px solid rgb(0, 255, 191);
        border-radius: 40px 10px;
    }
    .topicname{
        font-size: 1.2rem;
    }
    .btn-more{
        border-radius: 2rem;
        /* padding: 1rem 1rem; */
        font-size: 0.8rem;
        height: 2.5rem;
        width: 11rem;
    }
}
/*========================== viewport less than or equals to 1496px close===================*/


/*========================== viewport less than or equals to 1130px =====================*/

@media only screen and (max-width:1130px){

    
}

/*========================== End viewport less than or equals to 1130px close===================*/

/*========================== viewport less than or equals to 1024px close===================*/
/* @media only screen and (max-width:0.24px) */
@media only screen and (max-width:1024px){
    .posts{
        font-size: 3.8rem;
    }
    .courses{     
        height: 30rem;
    }
    .slider{
        margin-top: 25px;   
        margin-top: 0px;
    }
    .slider .owl-item.active.center .slider-card{
        transform: scale(0.8rem);
        height: 20rem;
        width: 19rem;
        margin: 0px 5px 10px 5px;       
    }
    .slider-card{
        margin: 0px 5px 10px 15px;       
        transform: scale(0.5);
        height: 22rem; /*new*/
    }
    .slider-card img{
        height: 6rem; /*new*/
    }
    .coursename{
        font-size: 1.5rem;
    }    
    .course-desc{
        font-size: 0.8rem;
    }
    .blog-image{
        width: 300px;
        height: 200px;
        margin-top: 2rem;
    }
    .blog-title {
        font-weight: bold;
        line-height: 1;
        letter-spacing: -.05rem;
    }
    .blog-tags{
        font-size: 0.75rem;
    }
    .blog-text{
        font-size: 0.95rem;
    }
    
}
/*========================== End viewport less than or equals to 1024px close===================*/


/*========================== viewport less than or equals to 768px =====================*/
@media only screen and (max-width:768px){
    
    .posts{
        font-size: 2.8rem;
    }
    .courses{     
        height: 30rem;
    }
    .slider{
          margin-top: 25px;   
          margin-top: 0px;
    }
    .slider .owl-item.active.center .slider-card{
          transform: scale(0.8rem);
          height: 20rem;
          width: 14rem;
          margin: 0px 5px 10px 5px;       
    }
    .slider-card{
        margin: 0px 5px 10px 15px;       
        transform: scale(0.5);
        height: 22rem; /*new*/
    }
    .slider-card img{
        height: 5rem; /*new*/
    }
    .coursename{
        font-size: 1.3rem;
    }    
    .course-desc{
        font-size: 0.8rem;
    }
    .blog-image{
        width: 300px;
        height: 200px;
        margin-top: 2rem;
        margin-right: 2rem;
    }
    .blog-title {
        font-weight: bold;
        line-height: 1;
        margin-left: 2rem;
    }
    .blog-tags{
        font-size: 0.85rem;
        margin-left: 2rem;
    }
    .blog-text{
        font-size: 1.05rem;
        margin-left: 2rem;
    }
    .blog-btn{
        margin-left: 2rem;
    }
    .carousel-item{
        height: 25rem;
    }
    .carr-img{
        height: 100%;
        width: 100%;
    }    
}

/*=================== viewport less than or equals to 798px close =====================*/


/*=================== viewport less than or equals to 520px =========================*/

@media only screen and (max-width:520px){  

    main .site-title .site-background{
        padding-top: 2rem;
    }

    /* .nav-icon{
       font-size: 20px;
    } */
    .carousel-item{
       /* height: 32rem; */
       height: 20rem; 
    }
    .carr-img{
        height: 100%;
        width: 100%;
    }
    .container{
       height: 20rem;
       width: 8rem;
       /* padding-bottom: 15px; */
    }
    .img-title{
        /* font-size: 1.5rem; */
        font-size: 1.8rem;
    }
    .intro{
        font-size: 0.5rem ; 
    }
    .btn {
        height: 2.5rem;
        width: 10rem;
        font-size: 5rem;  
    }
    .posts{
        font-size: 3rem;
    }
    .courses{
        height: 35rem; 
    }
    .slider{
          margin-top: 25px;   
          margin-top: 0px;
    }
    .slider .owl-item.active.center .slider-card{
        transform: scale(0.8rem);
        height: 28rem;
        width: 24rem;
        margin: 0px 25px 10px 5px;       
    }
    .slider-card{
        margin: 0px 5px 10px 15px;       
        transform: scale(0.5);
        height: 22rem;
    }
    .slider-card img{
        height: 10rem; /*new*/
    }
    .coursename{
        font-size: 2rem;
    }    
    .course-desc{
        font-size: 1rem;
    }
    .blog-image{
        width: 300px;
        height: 200px;
        margin-top: 2rem;
    }
    .blog-title {
        font-weight: bold;
        line-height: 1;
        letter-spacing: -.05rem;
    }
    .blog-tags{
        font-size: 0.75rem;
    }
    .blog-text{
        font-size: 0.95rem;
    }
    footer{
        margin-top: 140rem;
    }
    .footer-content h3{
        font-size: 1.6rem;
        line-height: 2rem;
    }
    .footer-content p{
        line-height: 20px;
        font-size: 12px;
    }
    .socials{
        margin: 1rem 0.5rem 1.5rem 0rem;
    }
    .socials li{
        margin: 0 10px 0 10px;
    }
    .socials a{
        padding: 2.5px;
    }
    .socials a i{
        font-size: 0.95rem;
    }
}

/*=================== viewport less than or equals to 520px close ======================*/


